This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 852014 - No params operation fails when oparation with params was selected previously
No params operation fails when oparation with params was selected previously
Status: NEW
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 06:48 EDT by Filip Brychta
Modified: 2012-10-09 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-08-27 06:48:18 EDT
Description of problem:
RHQ Agent operation without parameters (update all plugins) fails when operation with parameters (get plugin info) was previously selected.

Version-Release number of selected component (if applicable):
Version: 3.1.1.ER3
Build Number: 37108ca:67c6de8

How reproducible:
Always

Steps to Reproduce:
1. RHQ agent is imported to inventory
2. navigate to agent's operations tab
3. Create New Operation Schedule (click on new button)
4. select 'get plugin info' operation from combo box (just select it, no other action)
5. select 'update all plugins' and click on shedule button
6. check operation result
  
Actual results:
java.lang.RuntimeException: Failed to invoke operation [updatePlugins]
	at org.rhq.plugins.agent.AgentServerComponent.invokeOperation(AgentServerComponent.java:207)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:679)
Caused by: java.lang.IllegalArgumentException: Operation [updatePlugins] does not support params
	at org.rhq.plugins.agent.AgentServerComponent.invokeOperation(AgentServerComponent.java:203)
	... 10 more

Expected results:
no errors

Additional info:
next invocation of 'update all plugins' operation is successful

Note You need to log in before you can comment on or make changes to this bug.